Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.service
Class CardType

    java.lang.Object
      opencard.core.service.CardType

    public class CardType

extends java.lang.Object

Type of a card as determined by a cardservice factory. The CardID represents the ATR of a unique card while the CardType represents a classification of cards according to the card classification scheme used by the cardservice factory. In most cases the card service factory will simply use a numeric value to classify a card. Optionally any information describing the card type can be attached using setCardInfo.

Version:
  $Id: CardType.java,v 1.1.1.1 1999/10/05 15:34:31 damke Exp $
Author:
  Peter Bendel (peter_bendel@de.ibm.com)
See Also:
  `CardID`, `CardServiceFactory`

Field Summary
`static CardType` | `UNSUPPORTED` Reserved instance of card type to be used for cards that are not supported by a card service factory.

Constructor Summary
`CardType()` Default constructor
`CardType(int type)` Constructor from integer.

Method Summary
`java.lang.Object` | `getInfo()`
`int` | `getType()` Accessor for numeric type
`void` | `setInfo(java.lang.Object cardInfo)` Attach additional information with the CardType that can be used when instantiating card services.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSUPPORTED

    public static CardType UNSUPPORTED

  Reserved instance of card type to be used for cards that are not supported by a card service factory.

Constructor Detail

### CardType

    public CardType()

  Default constructor

### CardType

    public CardType(int type)

  Constructor from integer. Should be used by CardServiceFactory subclasses

Method Detail

### getType

    public int getType()

  Accessor for numeric type

### setInfo

    public void setInfo(java.lang.Object cardInfo)

  Attach additional information with the CardType that can be used when instantiating card services.

### getInfo

    public java.lang.Object getInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD